extends Node

@export var car: Car
@export var fov_min := 70.0
@export var speed_fov_effect := 0.5
@onready var camera_3d: Camera3D = $".."

func _process(delta: float) -> void:
	camera_3d.fov = 70 + car.linear_velocity.length() * speed_fov_effect
